<?xml version="1.0" encoding="utf-8"?>
<xbrl
  xmlns="http://www.xbrl.org/2003/instance"
  xmlns:dei="http://xbrl.sec.gov/dei/2021q4"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:schemaRef xlink:href="lnn-20220630.xsd" xlink:type="simple"/>
    <context id="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99">
        <entity>
            <identifier scheme="http://www.sec.gov/CIK">0000836157</identifier>
        </entity>
        <period>
            <startDate>2022-06-30</startDate>
            <endDate>2022-06-30</endDate>
        </period>
    </context>
    <dei:AmendmentFlag
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_813c9942-4091-4115-9008-bef921423aec">false</dei:AmendmentFlag>
    <dei:EntityCentralIndexKey
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_bb35a9b5-d4af-4225-a174-baa4995fc282">0000836157</dei:EntityCentralIndexKey>
    <dei:DocumentType
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_3361f0e9-a146-4718-8334-d92e8b9257d7">8-K</dei:DocumentType>
    <dei:DocumentPeriodEndDate
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_5e9a3b44-71bb-47f0-b0f7-68500d48712d">2022-06-30</dei:DocumentPeriodEndDate>
    <dei:EntityRegistrantName
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_fb5e61dc-482e-4ca0-ad68-52471cbe6aec">Lindsay Corporation</dei:EntityRegistrantName>
    <dei:EntityIncorporationStateCountryCode
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_34a1424a-bcb7-4339-bc14-023b0374fed7">DE</dei:EntityIncorporationStateCountryCode>
    <dei:EntityFileNumber
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_1bc67a4e-4b20-4b77-952f-ca30b3e860c7">1-13419</dei:EntityFileNumber>
    <dei:EntityTaxIdentificationNumber
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_261a8d9d-78bd-4af4-bfbc-eff3b7b89f17">47-0554096</dei:EntityTaxIdentificationNumber>
    <dei:EntityAddressAddressLine1
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_be81b23b-c926-407f-97c7-a35381d7d8d8">18135 Burke Street</dei:EntityAddressAddressLine1>
    <dei:EntityAddressAddressLine2
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_b0577e3a-cdac-4cc9-9a92-8134c7e5fdc0"> Suite 100</dei:EntityAddressAddressLine2>
    <dei:EntityAddressCityOrTown
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_2398c6d8-887d-463a-ac65-feb62473154b">Omaha</dei:EntityAddressCityOrTown>
    <dei:EntityAddressStateOrProvince
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_c05cd0e6-614e-43c4-8ff8-97e3145b5b6a">NE</dei:EntityAddressStateOrProvince>
    <dei:EntityAddressPostalZipCode
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_5d04eb2f-f7ea-4b1d-a6a6-d77517451cb4">68022</dei:EntityAddressPostalZipCode>
    <dei:CityAreaCode
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_7086803d-fa6e-4c08-af8c-79f2dd4f67e4">(402)</dei:CityAreaCode>
    <dei:LocalPhoneNumber
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_922982e7-2040-4ce4-9324-493f3f03a961">829-6800</dei:LocalPhoneNumber>
    <dei:WrittenCommunications
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_ded202c2-48ca-4f62-87b8-c1ba6a5075ee">false</dei:WrittenCommunications>
    <dei:SolicitingMaterial
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_ac063f0b-ac2a-4892-bd1a-b31c6c92d1e0">false</dei:SolicitingMaterial>
    <dei:PreCommencementTenderOffer
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_f413f197-62b2-4149-8b76-7810f41ddc3f">false</dei:PreCommencementTenderOffer>
    <dei:PreCommencementIssuerTenderOffer
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_247a06c3-f966-4837-99ce-e2e64f1ec5d0">false</dei:PreCommencementIssuerTenderOffer>
    <dei:Security12bTitle
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_d5dcaa21-ae20-4a01-8cda-cb67a8627634">Common Stock, $1.00 par value</dei:Security12bTitle>
    <dei:TradingSymbol
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_0d6005d2-6c7d-49f3-b64b-bcb25493b7de">LNN</dei:TradingSymbol>
    <dei:SecurityExchangeName
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_af3b8ef6-9c18-4b64-b6a8-def15ab17d89">NYSE</dei:SecurityExchangeName>
    <dei:EntityEmergingGrowthCompany
      contextRef="C_7c8ed60f-030c-4923-8a31-cc5e0c124d99"
      id="F_6a662329-8e2c-41f7-a8f7-1c8833a24186">false</dei:EntityEmergingGrowthCompany>
</xbrl>
